program mc
implicit none
real*8,allocatable,dimension(:) :: vec,val
real*8,allocatable,dimension(:,:) ::r
real*8 :: num
integer:: i,j,k
integer,parameter :: SEED=100


allocate(vec(1280000),val(1280000))
allocate(r(1280000,12))

call random_seed(SEED)
call random_number(r)


val = 1.0
vec = 0.0
do k = 1 , 12
	do i = 1, 1280000
		vec(i) = vec(i) + r(i,k)
	end do
end do
vec = vec - 6


do j = 1 , 1280000
	val(j) = exp(vec(j))*val(j)
	!write(6,*) val(j)
end do
stop
end
	
